Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMMethodException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSemanticException
                              |
                              +--com.sun.wbem.cim.CIMMethodException

public class CIMMethodException
extends CIMSemanticException

The CIMMethodException class is used for exceptions that occur for methods.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `METHOD_OVERRIDDEN` A method is specified to override another method that has already been overridden by a third method.
`static java.lang.String` | `NO_OVERRIDDEN_METHOD` The method of a subclass is trying to override the method of the superclass, but the method of the superclass already has been overridden by a method that belongs to another subclass.
`static java.lang.String` | `NO_SUCH_METHOD` In most cases, the specified method was not defined for the class.

Fields inherited from class com.sun.wbem.cim.CIMSemanticException
`INVALID_QUALIFIER_NAME, NO_QUALIFIER_VALUE, NO_SUCH_QUALIFIER1, NO_SUCH_QUALIFIER2, QUALIFIER_UNOVERRIDABLE, SCOPE_ERROR, TYPE_ERROR`

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMMethodException()` Creates a CIMMethodException with no detail message.
`CIMMethodException(java.lang.String s)` Creates a CIMMethodException with the specified message.
`CIMMethodException(java.lang.String s, java.lang.Object param)` Creates a CIMMethodException with the specified message and one exception parameter.
`CIMMethodException(java.lang.String s, java.lang.Object[] param)` Creates a CIMMethodException with the specified message and an array of exception parameters.
`CIMMethodException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMMethodException with the specified message and two exception parameters.
`CIMMethodException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMMethodException with the specified message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NO_OVERRIDDEN_METHOD

    public static final java.lang.String NO_OVERRIDDEN_METHOD

  The method of a subclass is trying to override the method of the superclass, but the method of the superclass already has been overridden by a method that belongs to another subclass. The method that you are trying to override does not exist in the class hierarchy because it has not been defined. This error message uses two parameters: - {0} is replaced by the name of the overriding method. - {1} is replaced by the name of the overridden method.

### METHOD_OVERRIDDEN

    public static final java.lang.String METHOD_OVERRIDDEN

  A method is specified to override another method that has already been overridden by a third method. Once a method has been overridden, it cannot be overridden again. This error message takes three parameters: - {0} is replaced by the name of the method that tries to override the specified method, represented by {1} - {1} is replaced by the method that already has been overridden by the method represented by {2} - {2} is replaced by the method that has overridden parameter {1}

### NO_SUCH_METHOD

    public static final java.lang.String NO_SUCH_METHOD

  In most cases, the specified method was not defined for the class. If the method is defined for the specified class, another method name may have been mispelled or typed differently in the definition. This error message uses two parameters: - {0} is replaced by the name of the specified method - {1} is replaced by the name of the class

Constructor Detail

### CIMMethodException

    public CIMMethodException()

  Creates a CIMMethodException with no detail message.

### CIMMethodException

    public CIMMethodException(java.lang.String s)

  Creates a CIMMethodException with the specified message.
  Parameters:
    `s` - the detail message.

### CIMMethodException

    public CIMMethodException(java.lang.String s,
                              java.lang.Object param)

  Creates a CIMMethodException with the specified message and one exception parameter.
  Parameters:
    `s` - the detail message.
    `param` - exception parameter.

### CIMMethodException

    public CIMMethodException(java.lang.String s,
                              java.lang.Object param1,
                              java.lang.Object param2)

  Creates a CIMMethodException with the specified message and two exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMMethodException

    public CIMMethodException(java.lang.String s,
                              java.lang.Object param1,
                              java.lang.Object param2,
                              java.lang.Object param3)

  Creates a CIMMethodException with the specified message and three exception parameters.
  Parameters:
    `s` - the detail message.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMMethodException

    public CIMMethodException(java.lang.String s,
                              java.lang.Object[] param)

  Creates a CIMMethodException with the specified message and an array of exception parameters.
  Parameters:
    `s` - the detail message.
    `param` - array of exception parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD